﻿/* Previne o flash preto e otimiza a troca de slides */
.carousel.fast-transition .carousel-item {
    transition-duration: 0.1s !important;
}

.slider-bg-container {
    width: 100%;
    position: relative;
    background-position: center center;
    background-size: cover;
    background-repeat: no-repeat;
    min-height: 32rem;
}

.slider-bg-container_standard {
    width: 100%;
    position: relative;
    background-position: center center;
    background-size: cover;
    background-repeat: no-repeat;
    min-height: 32rem;
}

.image-only-wrapper_standard {
    height: 100vh;
    max-height: auto;
}

.carousel-item {
    backface-visibility: hidden;
    perspective: 1000px;
    background-color: transparent !important;
}

.slider-title {
    font-size: 48px;
    color: white;
}

/* Garante que o vídeo preencha o slide sem bordas */
.video-slider {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.carousel-caption {
    position: absolute;
    /* A posição 'top' será injetada pelo JS */
    transition: top 0.5s ease-in-out;
}

.image-only-wrapper {
    height: 100vh;
    max-height: 560px;
}